1. API
Tiiny Host API
  • Getting Started
  • API
    • Create Project
      POST
    • Update Project
      PUT
    • Delete Project
      DELETE
    • Fetch Profile
      GET
  • Agent
    • Skill
  • MCP
    • Connection Guide
  1. API

Update Project

PUT
/v1/upload
Add or replace files in a project.

Request

Header Params

Body Params multipart/form-dataRequired

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://ext.tiiny.host/v1/upload' \
--header 'x-api-key: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx' \
--form 'files="/path/to/file.zip"' \
--form 'siteSettings="{ \"password\": \"he\!\!ow0rld\", \"passwordProtected\": true, \"disableIndexing\": true, \"enableEmailGate\":true, \"enableEmailWhitelist\":true,\"allowedEmails\":[\"you@example.com\"], \"feedbackMode\":true,\"pageTitle\":\"API Test\",\"metaDescription\":\"Updated via API\",\"leadCaptureMode\":\"Capture Emails\",\"leadCaptureTitle\":\"Join us\"  }"' \
--form 'domain="my-project.tiiny.site"' \
--form 'isUpdate=""' \
--form 'ogImageFile=@""' \
--form 'logoImageFile=@""'
Response Response Example
{
    "success": true,
    "data": {
        "link": "something.tiiny.site",
        "status": "active",
        "profile": {
            "quotaUsed": 5,
            "quotaLimit": 1024
        }
    }
}
Modified at 2026-09-28 14:14:33
Previous
Create Project
Next
Delete Project
Built with